Subject: Re: bug#7176: [PATCH] human: add unambiguous block_size_args

From: Assaf Gordon <[email-masked]>
Date: Tue, 9 Oct 2018 14:41:32 -0600

tags 7176 wontfix
close 7176
stop

(Triaging old bugs)

Hello,

On 16/04/13 11:12 AM, Mihai Capotă wrote:
> On Sun, Apr 14, 2013 at 1:52 AM, Pádraig Brady <[email-masked]> wrote:
>> So I was 50:50 on making this change, and in the meantime numfmt(1) was released,
>> which gives full control over number formatting, albeit in a more verbose/explicit form.
> 
> Let me see if I can convince you with a use case. If you set
> "BLOCK_SIZE=binary" in your shell configuration file, you get the
> output you want from all programs that use gnulib. That's not only
> about verbosity, it's something that cannot be easily done with
> numfmt.

Given that:
1. numfmt does some of the requested functionality
2. environment variables are frowned upon and not likely to be expanded
3. there has been no further comments in 5 and a half years

I'm opting to close this bug, and we can always re-open the bug if
needed. Discussion can continue by replying to this thread,

regards,
  - assaf